Update Your NetBeans Plugin's "Supported NetBeans Versions" In The Next Two Weeks!

For each NetBeans plugin uploaded to the NetBeans Plugin Portal, the registration page starts like this:

Note how the "Supported NetBeans Versions" field is empty, i.e., no checkbox is checked, for the plugin above.

As you can also see, there is a red asterisk next to this field, which means it is mandatory. It is mandatory for the latest version of the NetBeans Plugin Portal, while it wasn't mandatory before, so that several plugins were registered without their supported version being set.

Therefore, since the version is now mandatory, anyone who doesn't want their plugin to be hidden for the rest of this year, and removed on 1 January 2013 if no one complains about their absence, needs to go to their plugin's registration page and set a NetBeans Version.

E-mails have been sent to plugin developers of unversioned plugins already, over the last weeks. Currently there are 91 plugins that still need to have their NetBeans Version set. Probably at least 1/3 of those are my own plugins, so this is as much a reminder to myself as anyone else!

Whether or not you have received an e-mail asking you to set a NetBeans Version for your plugins, please take a quick look anyway and maybe this is a good opportunity to update other information relating to your plugin.

You (and I) have two weeks: on Monday 16 April, any NetBeans plugin in the Plugin Portal without a NetBeans Version will be hidden. And then removed, at the start of next year, if no one complains.

Comments:

Hi Geertjan,
is the plugin portal open to everybody? Are there size limits?
We went to the trouble of creating our own update center is that no longer necessary with this portal?
I clicked the Register link in the plugin portal and got an error message. It seems to lead to the signup URL http://netbeans.org/people/signup instead of https://netbeans.org/people/new

Posted by Shai Almog on April 02, 2012 at 05:21 PM PDT #

This would also be a great opportunity for plugin authors to add or enhance the descriptions of their plugins. Too many plugins still have vague descriptions like "The XZY module".

Posted by Mike Duigou on April 03, 2012 at 06:22 AM PDT #

Hi Geertjan,
I submitted our plugin last week and it is still waiting for approval (Codename One Plugin allowing native development in Java for all mobile platforms e.g. iPhone).
Would we need a similar wait for all future updates?
Thanks.

Posted by Shai Almog on April 10, 2012 at 04:23 PM PDT #

Post a Comment:
  • HTML Syntax: NOT allowed
About

Geertjan Wielenga (@geertjanw) is a Principal Product Manager in the Oracle Developer Tools group living & working in Amsterdam. He is a Java technology enthusiast, evangelist, trainer, speaker, and writer. He blogs here daily.

The focus of this blog is mostly on NetBeans (a development tool primarily for Java programmers), with an occasional reference to NetBeans, and sometimes diverging to topics relating to NetBeans. And then there are days when NetBeans is mentioned, just for a change.

Search

Archives
« April 2014
SunMonTueWedThuFriSat
  
12
13
14
18
19
20
21
22
23
24
25
26
27
28
29
30
   
       
Today